summaryrefslogtreecommitdiff
path: root/tests/cert-tests/sha3-test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/sha3-test')
-rwxr-xr-xtests/cert-tests/sha3-test5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/cert-tests/sha3-test b/tests/cert-tests/sha3-test
index 8d619e59f0..abb20bca04 100755
--- a/tests/cert-tests/sha3-test
+++ b/tests/cert-tests/sha3-test
@@ -24,6 +24,11 @@ srcdir="${srcdir:-.}"
CERTTOOL="${CERTTOOL:-../../src/certtool${EXEEXT}}"
DIFF="${DIFF:-diff}"
TMPFILE=sha3.$$.tmp
+
+if ! test -x "${CERTTOOL}"; then
+ exit 77
+fi
+
export TZ="UTC"
. ${srcdir}/../scripts/common.sh